/*
 * Copyright (C) 2013 Darth Affe <http://wyrez.org> and contributors
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */
package org.wyrez.shootingstars.controls;

import com.jme3.scene.Node;
import com.jme3.scene.Spatial;
import com.jme3.scene.control.Control;
import org.wyrez.shootingstars.helper.UserDataKeys;

/**
 *
 * @author Snowsun
 */
public class StarDeathControl extends BaseControl {

    private Node starNode;

    public StarDeathControl(Node starNode) {
        this.starNode = starNode;
    }

    @Override
    protected void controlUpdate(float tpf) {
        if (spatial.getUserData(UserDataKeys.HITTED)) {
            //TODO DIE!
            starNode.detachChild(spatial);
        }
    }

    public Control cloneForSpatial(Spatial spatial) {
        StarDeathControl control = new StarDeathControl(starNode);
        spatial.addControl(control);
        return control;
    }
}
